Download it now!
Bug 73247 - Shape rotation not preserved in Roundtrip
Summary: Shape rotation not preserved in Roundtrip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Yogesh Bharate
URL: https://gerrit.libreoffice.org/#/c/7367/
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 06:04 UTC by Yogesh Bharate
Modified: 2014-01-14 05:10 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Original file contains the rotated text box with some text. (17.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-03 06:04 UTC, Yogesh Bharate
Details
Screenshot of word document (235.04 KB, image/png)
2014-01-03 06:06 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2014-01-03 06:04:27 UTC
Created attachment 91446 [details]
Original file contains the rotated text box with some text.

Problem description: 
If you draw shape; rotate it for example 90 degree;  and save it in DOC... the shape that was rotated will no be rotated.

Steps to reproduce:
1. Draw shape.
2. Rotate shape using available option from toolbar Drawing Properties.
3. Save file as DOC

Current behavior:
Rotated shape is not rotated.

Expected behavior:
Rotated shape should remain rotated.
Comment 1 Yogesh Bharate 2014-01-03 06:06:00 UTC
Created attachment 91447 [details]
Screenshot of word document
Comment 2 Commit Notification 2014-01-13 17:04:10 UTC
YogeshBharate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b23867abd8427da361dfa5edb9b41fbbd064ae10

fdo#73247: Code fixed for Shape rotation not preserved in RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.